org.apache.ignite.cache.store.jdbc.dialect

## Interface JdbcDialect

All Known Implementing Classes:
  BasicJdbcDialect, DB2Dialect, H2Dialect, MySQLDialect, OracleDialect, SQLServerDialect

    public interface JdbcDialect

Represents a dialect of SQL implemented by a particular RDBMS.

### Method Summary

Methods
`int` `getMaxParamsCnt()` Get max query parameters count.
`boolean` `hasMerge()`
`String` `insertQuery(String fullTblName, Collection<String> keyCols, Collection<String> valCols)` Construct insert query.
`String` `loadCacheQuery(String fullTblName, Iterable<String> uniqCols)` Construct load cache query.
`String` `loadCacheRangeQuery(String fullTblName, Collection<String> keyCols, Iterable<String> uniqCols, boolean appendLowerBound, boolean appendUpperBound)` Construct select count query.
`String` `loadCacheSelectRangeQuery(String fullTblName, Collection<String> keyCols)` Construct select count query.
`String` `loadQuery(String fullTblName, Collection<String> keyCols, Iterable<String> cols, int keyCnt)` Construct load query.
`String` `mergeQuery(String fullTblName, Collection<String> keyCols, Collection<String> uniqCols)` Construct merge query.
`String` `removeQuery(String fullTblName, Iterable<String> keyCols)` Construct remove query.
`String` `updateQuery(String fullTblName, Collection<String> keyCols, Iterable<String> valCols)` Construct update query.

### Method Detail

#### loadCacheSelectRangeQuery

    String loadCacheSelectRangeQuery(String fullTblName,
                                   Collection<String> keyCols)

Construct select count query.

Parameters:
  `fullTblName` - Full table name.
  `keyCols` - Database key columns for order.
Returns:
  Query for select count.

#### loadCacheRangeQuery

    String loadCacheRangeQuery(String fullTblName,
                             Collection<String> keyCols,
                             Iterable<String> uniqCols,
                             boolean appendLowerBound,
                             boolean appendUpperBound)

Construct select count query.

Parameters:
  `fullTblName` - Full table name.
  `keyCols` - Database key columns for order.
  `uniqCols` - Database unique value columns.
  `appendLowerBound` - Need add lower bound for range.
  `appendUpperBound` - Need add upper bound for range.
Returns:
  Query for select count.

#### loadCacheQuery

    String loadCacheQuery(String fullTblName,
                        Iterable<String> uniqCols)

Construct load cache query.

Parameters:
  `fullTblName` - Full table name.
  `uniqCols` - Database unique value columns.
Returns:
  Load cache query.

#### loadQuery

    String loadQuery(String fullTblName,
                   Collection<String> keyCols,
                   Iterable<String> cols,
                   int keyCnt)

Construct load query.

Parameters:
  `fullTblName` - Full table name.
  `keyCols` - Database key columns.
  `cols` - Selected columns.
  `keyCnt` - Key count.
Returns:
  Load query.

#### insertQuery

    String insertQuery(String fullTblName,
                     Collection<String> keyCols,
                     Collection<String> valCols)

Construct insert query.

Parameters:
  `fullTblName` - Full table name.
  `keyCols` - Database key columns.
  `valCols` - Database value columns.

#### updateQuery

    String updateQuery(String fullTblName,
                     Collection<String> keyCols,
                     Iterable<String> valCols)

Construct update query.

Parameters:
  `fullTblName` - Full table name.
  `keyCols` - Database key columns.
  `valCols` - Database value columns.

#### hasMerge

    boolean hasMerge()

Returns:
  `True` if database support merge operation.

#### mergeQuery

    String mergeQuery(String fullTblName,
                    Collection<String> keyCols,
                    Collection<String> uniqCols)

Construct merge query.

Parameters:
  `fullTblName` - Full table name.
  `keyCols` - Database key columns.
  `uniqCols` - Database unique value columns.
Returns:
  Put query.

#### removeQuery

    String removeQuery(String fullTblName,
                     Iterable<String> keyCols)

Construct remove query.

Parameters:
  `fullTblName` - Full table name.
  `keyCols` - Database key columns.
Returns:
  Remove query.

#### getMaxParamsCnt

    int getMaxParamsCnt()

Get max query parameters count.

Returns:
  Max query parameters count.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC3
Release Date | : March 24 2015